
set working_dir [file dirname [info nameofexe]]
cd $working_dir


proc timestamp_format {x} {clock format $x -format "%Y-%m-%d--%H-%M-%S"}
proc now {} {timestamp_format [clock sec]}


# copy the interp to a new file so we can use it as a runtime with sdx,
# otherwise sdx fails since you cant run sdx with the same interp.
#
# exec cp otherwise the vfs gets copied to a directory.
#
exec cp ./tclkit-8.5.9 ./runtime


# build the interp
#
exec ./tclkit-8.5.9 ./sdx-20110317.kit qwrap init_interp.tcl -runtime ./runtime
file rename init_interp znew-[now]


# remove intermediate runtime file
#
file delete ./runtime

